import { ExpectationRepository } from '../expectation/repository/expectation-repository';
import { PendingExpectation } from '../when/pending-expectation';
import { StrongMockDefaults } from './defaults';
import { Mock } from './mock';
export declare const setActiveMock: (mock: Mock<any>) => void;
export declare const clearActiveMock: () => void;
export declare const getActiveMock: () => Mock<any>;
declare type MockState = {
    repository: ExpectationRepository;
    pendingExpectation: PendingExpectation;
    options: StrongMockDefaults;
};
export declare const getMockState: (mock: Mock<any>) => MockState;
export declare const setMockState: (mock: Mock<any>, state: MockState) => void;
export declare const getAllMocks: () => [Mock<any>, MockState][];
export {};
